# ModelAuditTrailEntry.AuditTrailEntryFindReplace (ARX GUI Documentation)

org.deidentifier.arx.gui.model

## Class ModelAuditTrailEntry.AuditTrailEntryFindReplace

- java.lang.Object
- - org.deidentifier.arx.gui.model.ModelAuditTrailEntry
  - - org.deidentifier.arx.gui.model.ModelAuditTrailEntry.AuditTrailEntryFindReplace

- All Implemented Interfaces:
    java.io.Serializable
  Enclosing class:
    ModelAuditTrailEntry

      public static class ModelAuditTrailEntry.AuditTrailEntryFindReplace
      extends ModelAuditTrailEntry

  Find and replace entry
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.deidentifier.arx.gui.model.ModelAuditTrailEntry

      `ModelAuditTrailEntry.AuditTrailEntryFindReplace`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ModelAuditTrailEntry.AuditTrailEntryFindReplace(java.lang.String attribute, java.lang.String searchString, java.lang.String replacementString)` Constructor

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getAttribute()`
    `java.lang.String` | `getReplacementString()`
    `java.lang.String` | `getSearchString()`

    - ### Methods inherited from class org.deidentifier.arx.gui.model.ModelAuditTrailEntry

      `createfindReplaceEntry`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ModelAuditTrailEntry.AuditTrailEntryFindReplace

          public ModelAuditTrailEntry.AuditTrailEntryFindReplace(java.lang.String attribute,
                                                         java.lang.String searchString,
                                                         java.lang.String replacementString)

      Constructor
      Parameters:
        `attribute` -
        `searchString` -
        `replacementString` -

  - ### Method Detail

    - #### getAttribute

          public java.lang.String getAttribute()

      Returns:
        the attribute

    - #### getReplacementString

          public java.lang.String getReplacementString()

      Returns:
        the replacementString

    - #### getSearchString

          public java.lang.String getSearchString()

      Returns:
        the searchString